---
title: EventSource.close()
slug: Web/API/EventSource/close
tags:
  - API
  - EventSource
  - Method
  - Reference
  - Server-sent events
  - close
---
<div>{{APIRef('WebSockets API')}}</div>

<p>The <code><strong>close()</strong></code> method of the {{domxref("EventSource")}} interface closes the connection, if one is made, and sets the {{domxref("EventSource.readyState")}} attribute to <code>2</code> (closed).</p>

<div class="note">
<p><strong>Note</strong>: If the connection is already closed, the method does nothing.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">eventSource.close();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>Void.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var button = document.querySelector('button');
var evtSource = new EventSource('sse.php');

button.onclick = function() {
  console.log('Connection closed');
  evtSource.close();
}
</pre>

<div class="note">
<p><strong>Note</strong>: You can find a full example on GitHub — see <a href="https://github.com/mdn/dom-examples/tree/master/server-sent-events">Simple SSE demo using PHP.</a></p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "comms.html#dom-eventsource-close", "close()")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<ul>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.EventSource.close")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("EventSource")}}</li>
</ul>
